[SciPy-Dev] Installing scipy on OS 10.6.2

Ralf Gommers ralf.gommers@googlemail....
Tue Mar 23 10:10:04 CDT 2010


On Tue, Mar 23, 2010 at 10:57 PM, Paul Fuoss <fuoss@anl.gov> wrote:

> I have been unsuccessful at installing scipy on OS 10.6.  When I try
> to build from the distribution, I get a huge number of library
> architecture errors. I've tried to build both against the python
> that comes with the system (2.6.1) and against the MacPort python
> (2.6.5)  (see test summary at end of message).
>
> When I try to install via MacPort, it appears to install but much
> functionality is missing (e.g. curve_fit) that I assume is because
> the BLAS and LAPACK libraries aren't being linked to correctly.
>
> I'm using OS 10.6.2 on an Intel iMac.
>
> The latest Xcode is installed (3.2.1) with:
>  i686-apple-darwin10-gcc-4.2.1 (GCC) 4.2.1 (Apple Inc. build 5646) (dot 1)
>
> gfortran from research.att.acom:
>  GNU Fortran (GCC) 4.2.3
>
> I would appreciate suggestions.
>

How are you trying to build? The error suggests you are building for the
wrong achitecture (32 vs 64-bit).

I have been able to build against the Apple-provided python but not the
python.org version so far. The difference is that the former is 64-bit while
the latter is 32-bit. For Apple Python, install numscons (
http://projects.scipy.org/numpy/wiki/NumScons) and gfortran (from
http://r.research.att.com/tools/) and use:
$ LDFLAGS="-lgfortran -arch x86_64" FFLAGS="-arch x86_64" python
setupscons.py scons

Cheers,
Ralf
-------------- next part --------------
An HTML attachment was scrubbed...
URL: http://mail.scipy.org/pipermail/scipy-dev/attachments/20100323/d5cf3de5/attachment.html 


More information about the SciPy-Dev mailing list